Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.Designer.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.Designer.cs	(revision 477)
@@ -772,190 +956,6 @@
             this.btnComment.UseVisualStyleBackColor = false;
             this.btnComment.Click += new System.EventHandler(this.btnComment_Click);
             // 
-            // groupBoxEx1
-            // 
-            this.groupBoxEx1.BorderColor = System.Drawing.Color.Black;
-            this.groupBoxEx1.Controls.Add(this.btnConstr);
-            this.groupBoxEx1.Controls.Add(this.radioButton6);
-            this.groupBoxEx1.Controls.Add(this.radioButton5);
-            this.groupBoxEx1.Controls.Add(this.dgvConstr);
-            this.groupBoxEx1.Location = new System.Drawing.Point(525, 6);
-            this.groupBoxEx1.Name = "groupBoxEx1";
-            this.groupBoxEx1.Size = new System.Drawing.Size(375, 74);
-            this.groupBoxEx1.TabIndex = 131;
-            this.groupBoxEx1.TabStop = false;
-            this.groupBoxEx1.Text = "申請工事名称";
-            // 
-            // btnConstr
-            // 
-            this.btnConstr.BackColor = System.Drawing.Color.Linen;
-            this.btnConstr.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnConstr.Location = new System.Drawing.Point(240, 47);
-            this.btnConstr.Name = "btnConstr";
-            this.btnConstr.Size = new System.Drawing.Size(120, 22);
-            this.btnConstr.TabIndex = 126;
-            this.btnConstr.Text = "工事選択";
-            this.btnConstr.UseVisualStyleBackColor = false;
-            this.btnConstr.Click += new System.EventHandler(this.btnConstr_Click);
-            // 
-            // radioButton6
-            // 
-            this.radioButton6.AutoSize = true;
-            this.radioButton6.Location = new System.Drawing.Point(122, 46);
-            this.radioButton6.Name = "radioButton6";
-            this.radioButton6.Size = new System.Drawing.Size(111, 20);
-            this.radioButton6.TabIndex = 125;
-            this.radioButton6.Text = "工事選択無";
-            this.radioButton6.UseVisualStyleBackColor = true;
-            // 
-            // radioButton5
-            // 
-            this.radioButton5.AutoSize = true;
-            this.radioButton5.Checked = true;
-            this.radioButton5.Location = new System.Drawing.Point(12, 46);
-            this.radioButton5.Name = "radioButton5";
-            this.radioButton5.Size = new System.Drawing.Size(94, 20);
-            this.radioButton5.TabIndex = 125;
-            this.radioButton5.TabStop = true;
-            this.radioButton5.Text = "工事選択";
-            this.radioButton5.UseVisualStyleBackColor = true;
-            this.radioButton5.CheckedChanged += new System.EventHandler(this.radioButton5_CheckedChanged);
-            // 
-            // dgvConstr
-            // 
-            this.dgvConstr.AllowUserToAddRows = false;
-            this.dgvConstr.AllowUserToDeleteRows = false;
-            this.dgvConstr.AllowUserToResizeRows = false;
-            this.dgvConstr.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-            this.dgvConstr.BackgroundColor = System.Drawing.Color.White;
-            this.dgvConstr.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle5.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle5.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle5.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle5.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle5.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvConstr.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle5;
-            this.dgvConstr.ColumnHeadersHeight = 30;
-            this.dgvConstr.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
-            this.dgvConstr.ColumnHeadersVisible = false;
-            this.dgvConstr.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.Column16,
-            this.Column2});
-            this.dgvConstr.EnableHeadersVisualStyles = false;
-            this.dgvConstr.Location = new System.Drawing.Point(12, 20);
-            this.dgvConstr.Name = "dgvConstr";
-            this.dgvConstr.RowHeadersVisible = false;
-            this.dgvConstr.RowHeadersWidth = 20;
-            this.dgvConstr.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.dgvConstr.RowTemplate.DefaultCellStyle.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dgvConstr.RowTemplate.DefaultCellStyle.ForeColor = System.Drawing.Color.Black;
-            this.dgvConstr.RowTemplate.Height = 24;
-            this.dgvConstr.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
-            this.dgvConstr.Size = new System.Drawing.Size(350, 24);
-            this.dgvConstr.TabIndex = 38;
-            this.dgvConstr.TabStop = false;
-            this.dgvConstr.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvConstrction_CellDoubleClick);
-            this.dgvConstr.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvConstr_CellEnter);
-            // 
-            // Column16
-            // 
-            this.Column16.Frozen = true;
-            this.Column16.HeaderText = "工事番号";
-            this.Column16.Name = "Column16";
-            this.Column16.ReadOnly = true;
-            this.Column16.Visible = false;
-            // 
-            // Column2
-            // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle6;
-            this.Column2.HeaderText = "工事名称";
-            this.Column2.Name = "Column2";
-            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column2.Width = 346;
-            // 
-            // groupBoxEx2
-            // 
-            this.groupBoxEx2.BackColor = System.Drawing.Color.White;
-            this.groupBoxEx2.BorderColor = System.Drawing.Color.Black;
-            this.groupBoxEx2.Controls.Add(this.btnConstr2);
-            this.groupBoxEx2.Controls.Add(this.dgvConstr2);
-            this.groupBoxEx2.Location = new System.Drawing.Point(35, 36);
-            this.groupBoxEx2.Name = "groupBoxEx2";
-            this.groupBoxEx2.Size = new System.Drawing.Size(836, 50);
-            this.groupBoxEx2.TabIndex = 144;
-            this.groupBoxEx2.TabStop = false;
-            this.groupBoxEx2.Text = "工事名・申請名";
-            // 
-            // btnConstr2
-            // 
-            this.btnConstr2.BackColor = System.Drawing.Color.Linen;
-            this.btnConstr2.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnConstr2.Location = new System.Drawing.Point(707, 15);
-            this.btnConstr2.Name = "btnConstr2";
-            this.btnConstr2.Size = new System.Drawing.Size(120, 30);
-            this.btnConstr2.TabIndex = 126;
-            this.btnConstr2.Text = "工事選択";
-            this.btnConstr2.UseVisualStyleBackColor = false;
-            this.btnConstr2.Click += new System.EventHandler(this.btnConstr2_Click);
-            // 
-            // dgvConstr2
-            // 
-            this.dgvConstr2.AllowUserToAddRows = false;
-            this.dgvConstr2.AllowUserToDeleteRows = false;
-            this.dgvConstr2.AllowUserToResizeRows = false;
-            this.dgvConstr2.BackgroundColor = System.Drawing.Color.White;
-            this.dgvConstr2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle7.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle7.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle7.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle7.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle7.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvConstr2.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle7;
-            this.dgvConstr2.ColumnHeadersHeight = 30;
-            this.dgvConstr2.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
-            this.dgvConstr2.ColumnHeadersVisible = false;
-            this.dgvConstr2.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.dataGridViewTextBoxColumn1,
-            this.dataGridViewTextBoxColumn2});
-            this.dgvConstr2.EnableHeadersVisualStyles = false;
-            this.dgvConstr2.Location = new System.Drawing.Point(20, 18);
-            this.dgvConstr2.Name = "dgvConstr2";
-            this.dgvConstr2.RowHeadersVisible = false;
-            this.dgvConstr2.RowHeadersWidth = 20;
-            this.dgvConstr2.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.dgvConstr2.RowTemplate.DefaultCellStyle.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dgvConstr2.RowTemplate.DefaultCellStyle.ForeColor = System.Drawing.Color.Black;
-            this.dgvConstr2.RowTemplate.Height = 24;
-            this.dgvConstr2.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
-            this.dgvConstr2.Size = new System.Drawing.Size(681, 24);
-            this.dgvConstr2.TabIndex = 38;
-            this.dgvConstr2.TabStop = false;
-            this.dgvConstr2.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvConstr2_CellDoubleClick);
-            this.dgvConstr2.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvConstr2_CellEnter);
-            // 
-            // dataGridViewTextBoxColumn1
-            // 
-            this.dataGridViewTextBoxColumn1.Frozen = true;
-            this.dataGridViewTextBoxColumn1.HeaderText = "工事番号";
-            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
-            this.dataGridViewTextBoxColumn1.ReadOnly = true;
-            this.dataGridViewTextBoxColumn1.Visible = false;
-            // 
-            // dataGridViewTextBoxColumn2
-            // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle8;
-            this.dataGridViewTextBoxColumn2.HeaderText = "工事名称";
-            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
-            this.dataGridViewTextBoxColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn2.Width = 496;
-            // 
             // FrmDRWorkNotice
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -989,6 +989,8 @@
             this.pnlDateType1.PerformLayout();
             this.panel6.ResumeLayout(false);
             this.panel6.PerformLayout();
+            this.groupBoxEx2.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvConstr2)).EndInit();
             this.pnlReason.ResumeLayout(false);
             this.pnlReason.PerformLayout();
             this.pnlDateType2.ResumeLayout(false);
@@ -997,15 +999,13 @@
             this.pnlDateType3.PerformLayout();
             this.pnlFurikyu.ResumeLayout(false);
             this.pnlFurikyu.PerformLayout();
+            this.groupBoxEx1.ResumeLayout(false);
+            this.groupBoxEx1.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvConstr)).EndInit();
             this.pnlComment.ResumeLayout(false);
             this.pnlComment.PerformLayout();
             this.pnlApproval.ResumeLayout(false);
             this.pnlApprovalButton.ResumeLayout(false);
-            this.groupBoxEx1.ResumeLayout(false);
-            this.groupBoxEx1.PerformLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvConstr)).EndInit();
-            this.groupBoxEx2.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvConstr2)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNotice.cs	(revision 477)
@@ -300,6 +300,8 @@
 
             CommonMotions.EntryEndMessage("勤怠届データ");
 
+            if (!m_SubForm) m_NowProcessRemove = true;
+
             this.Close();
         }
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNoticeAux.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNoticeAux.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkNoticeAux.cs	(revision 477)
@@ -1582,6 +1582,8 @@
             IOAttNoticeConstrction ANConDB = new IOAttNoticeConstrction();
             IOPersonApproval AppManDB = new IOPersonApproval();
             IOPersonApprovalComment AppManComDB = new IOPersonApprovalComment();
+            IOAttendanceDailyData DayDB = new IOAttendanceDailyData();
+            IOAttendanceNoticeLink LinkDB = new IOAttendanceNoticeLink();
             try
             {
                 StringBuilder strSQL = new StringBuilder();
@@ -1590,33 +1592,36 @@
                 // 勤務区分を承認区分へ変換
                 int nAppCode = ClsConvertCode.ConvWorkingToAppNo(m_ExceNo);
 
-                // 担当者承認データのチェック
-                strSQL.Append(AppManDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo, 1));
-                List<PersonApproval> people = new List<PersonApproval>();
-                AppManDB.SelectAction(strSQL.ToString(), ref people);
+                ANDB.connect(); ANDB.beginTran();
+                ANConDB.connect(); ANConDB.beginTran();
+                AppManDB.connect(); AppManDB.beginTran();
+                AppManComDB.connect(); AppManComDB.beginTran();
+                DayDB.connect(); DayDB.beginTran();
+                LinkDB.connect(); LinkDB.beginTran();
 
-                // 承認済は削除できない
-                if (people.Count > 0 && people[0].ApprovalStatus == (int)CommonDefine.ApprovalStatus.Approval)
+                // 承認データ削除
+                bool bMsg = true;
+                if (!RemoveDataApproval(AppManDB, nAppCode, nAMonth, ref bMsg))
                 {
-                    MessageBox.Show("承認済データは削除できません。", "削除不能", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    AppManDB.rollback();
+                    if (bMsg)
+                        MessageBox.Show("承認済データは削除できません。", "削除不能", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    else
+                        MessageBox.Show("承認申請データ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return false;
                 }
 
-                // 承認コメントデータ取得
-                strSQL.Clear();
-                strSQL.Append(AppManComDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
-                List<PersonApprovalComment> ComList = new List<PersonApprovalComment>();
-                AppManComDB.SelectAction(strSQL.ToString(), ref ComList);
+                // 承認コメントデータ削除
+                if (!RemoveDataApprovalComment(AppManComDB, nAppCode, nAMonth))
+                {
+                    AppManDB.rollback();
+                    AppManComDB.rollback();
+                    MessageBox.Show("承認申請コメントデータ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
 
-                ANDB.connect(); ANDB.beginTran();
-                ANConDB.connect(); ANConDB.beginTran();
-                AppManDB.connect(); AppManDB.beginTran();
-                AppManComDB.connect(); AppManComDB.beginTran();
-
                 // 勤怠届出データ削除
-                strSQL.Clear();
-                strSQL.Append(ANDB.CreatePrimarykeyString(m_ManNo, m_ExceNo, nAMonth, m_OrderNo));
-                if (!ANDB.DeleteAction(strSQL.ToString(), false))
+                if (!RemoveDataNotice(ANDB, ANConDB, nAppCode, nAMonth))
                 {
                     ANDB.rollback();
                     ANConDB.rollback();
@@ -1625,44 +1630,26 @@
                     MessageBox.Show("勤怠届出データ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return false;
                 }
-                ANConDB.DeleteAction(strSQL.ToString(), false);
 
-                if (people.Count > 0)
+                // 勤怠紐付データ削除
+                if (!RemoveDataDaily(DayDB, LinkDB, nAppCode, nAMonth))
                 {
-                    // 承認申請データ削除
-                    strSQL.Clear();
-                    strSQL.Append(AppManDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
-                    if (!AppManDB.DeleteAction(strSQL.ToString(), false))
-                    {
-                        ANDB.rollback();
-                        ANConDB.rollback();
-                        AppManDB.rollback();
-                        AppManComDB.rollback();
-                        MessageBox.Show("承認申請データ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                    ANDB.rollback();
+                    ANConDB.rollback();
+                    AppManDB.rollback();
+                    AppManComDB.rollback();
+                    DayDB.rollback();
+                    LinkDB.rollback();
+                    MessageBox.Show("出勤管理データ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
                 }
 
-                if (ComList.Count > 0)
-                {
-                    // 承認申請コメントデータ削除
-                    strSQL.Clear();
-                    strSQL.Append(AppManComDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
-                    if (!AppManComDB.DeleteAction(strSQL.ToString(), false))
-                    {
-                        ANDB.rollback();
-                        ANConDB.rollback();
-                        AppManDB.rollback();
-                        AppManComDB.rollback();
-                        MessageBox.Show("承認申請コメントデータ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
-                }
-
                 ANDB.commit();
                 ANConDB.commit();
                 AppManDB.commit();
                 AppManComDB.commit();
+                DayDB.commit();
+                LinkDB.commit();
 
                 // 1つ前の画面が承認画面の時はその前へ戻る
                 CheckApprovalDisp();
@@ -1680,10 +1667,157 @@
                 ANConDB.close(); ANConDB = null;
                 AppManDB.close(); AppManDB = null;
                 AppManComDB.close(); AppManComDB = null;
+                DayDB.close(); DayDB = null;
+                LinkDB.close(); LinkDB = null;
             }
         }
         #endregion
 
+        #region 承認データ削除
+        /// <summary>
+        /// 承認データ削除
+        /// </summary>
+        private bool RemoveDataApproval(IOPersonApproval AppManDB, int nAppCode, int nAMonth, ref bool bMsg)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                // 担当者承認データのチェック
+                strSQL.Append(AppManDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo, 1));
+                List<PersonApproval> people = new List<PersonApproval>();
+                if (!AppManDB.SelectAction(strSQL.ToString(), ref people, false)) return false;
+
+                // 承認済は削除できない
+                if (people.Count > 0 && people[0].ApprovalStatus == (int)CommonDefine.ApprovalStatus.Approval) return true;
+
+                if (people.Count < 1) return true;
+
+                // 承認データ削除
+                strSQL.Clear();
+                strSQL.Append(AppManDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
+                if (!AppManDB.DeleteAction(strSQL.ToString(), false)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ削除
+        /// <summary>
+        /// 承認コメントデータ削除
+        /// </summary>
+        private bool RemoveDataApprovalComment(IOPersonApprovalComment AppManComDB, int nAppCode, int nAMonth)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                // 承認コメントデータ取得
+                strSQL.Clear();
+                strSQL.Append(AppManComDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
+                List<PersonApprovalComment> ComList = new List<PersonApprovalComment>();
+                if (!AppManComDB.SelectAction(strSQL.ToString(), ref ComList, false)) return false;
+
+                if (ComList.Count < 1) return true;
+
+                // 承認申請コメントデータ削除
+                strSQL.Clear();
+                strSQL.Append(AppManComDB.CreatePrimarykeyString(m_ManNo, nAppCode, nAMonth, m_OrderNo));
+                if (!AppManComDB.DeleteAction(strSQL.ToString(), false)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 勤怠届出データ削除
+        /// <summary>
+        /// 勤怠届出データ削除
+        /// </summary>
+        private bool RemoveDataNotice(IOAttendanceNotice ANDB, IOAttNoticeConstrction ANConDB
+                                        , int nAppCode, int nAMonth)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                strSQL.Append(ANDB.CreatePrimarykeyString(m_ManNo, m_ExceNo, nAMonth, m_OrderNo));
+                List<AttendanceNotice> GetList = new List<AttendanceNotice>();
+                if (!ANDB.SelectAction(strSQL.ToString(),ref GetList, false)) return false;
+                if (GetList.Count < 1) return true;
+
+                // 勤怠届出データ削除
+                if (!ANDB.DeleteAction(strSQL.ToString(), false)) return false;
+
+                List<AttNoticeConstrction> GetList2 = new List<AttNoticeConstrction>();
+                if (!ANConDB.SelectAction(strSQL.ToString(), ref GetList2, false)) return false;
+                if (GetList2.Count < 1) return true;
+                if (!ANConDB.DeleteAction(strSQL.ToString(), false)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 勤怠紐付データ削除
+        /// <summary>
+        /// 勤怠紐付データ削除
+        /// </summary>
+        private bool RemoveDataDaily(IOAttendanceDailyData DayDB, IOAttendanceNoticeLink LinkDB
+                                        , int nAppCode, int nAMonth)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                // 勤怠紐付データ取得
+                List<AttendanceNoticeLink> DataList = new List<AttendanceNoticeLink>();
+                strSQL.Append(LinkDB.CreatePrimarykeyString(m_ManNo, m_ExceNo, nAMonth, m_OrderNo));
+                if (!LinkDB.SelectAction(strSQL.ToString(), ref DataList, false)) return false;
+
+                if (DataList.Count < 1) return true;
+
+                // 勤怠紐付データ削除
+                if (!LinkDB.DeleteAction(strSQL.ToString(), false)) return false;
+
+                List<AttendanceDailyData> DataList2 = new List<AttendanceDailyData>();
+                foreach (AttendanceNoticeLink CurRec in DataList)
+                {
+                    strSQL.Clear();
+                    DataList2.Clear();
+                    strSQL.Append(DayDB.CreatePrimarykeyString(m_ManNo, CurRec.DailyDate, CurRec.SeqNo));
+                    if (!DayDB.SelectAction(strSQL.ToString(), ref DataList2, false)) return false;
+                    if (DataList2.Count < 1) continue;
+
+                    if (!DayDB.DeleteAction(strSQL.ToString(), false)) return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 1つ前の画面が承認画面の時はその前へ戻る
         /// <summary>
         /// 1つ前の画面が承認画面の時はその前へ戻る
